Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi.rawserialization
Interface InputBuffer

All Known Implementing Classes:
  SimpleInputBuffer

    public interface InputBuffer

Method Summary
`int` | `bytesRemaining()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`int` | `readInt()`
`long` | `readLong()`
`short` | `readShort()`
`java.lang.String` | `readUTF()`

Method Detail

### read

    int read(byte[] b,
             int off,
             int len)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    int read(byte[] b)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### readBoolean

    boolean readBoolean()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readByte

    byte readByte()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readChar

    char readChar()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readDouble

    double readDouble()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFloat

    float readFloat()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readInt

    int readInt()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLong

    long readLong()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readShort

    short readShort()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readUTF

    java.lang.String readUTF()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### bytesRemaining

    int bytesRemaining()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.